clear
format compact

% ---------------------------------
% p[^̃V{bNȕϐƂĒ`
syms a1 b1 alp5 alp2 alp3 mu2 theta1_e real

% ---------------------------------
% sA, B̌vZ
A21 = [ 0  0
        0  alp5/alp2 ];
A22 = [ -a1                  0
        (a1*alp3*cos(theta1_e)+mu2)/alp2  -mu2/alp2 ];
B2  = [  b1
        -b1*alp3*cos(theta1_e)/alp2 ];
k = 2; p = 1;
A = [ zeros(k,k)  eye(k)
      A21         A22    ];
B = [ zeros(k,p)
      B2         ];

% ---------------------------------
% s MR ̌vZi܂ތvZɂ͊֐ ctrb ͎gpłȂj
MR = [ B  A*B  A^2*B  A^3*B ];

% ---------------------------------
disp('===========================================')
disp(' ')

% s MR ̍s det(MR) ̌vZ
disp('***** det(MR) *****')
det_MR = det(MR);
det_MR = simplify(det_MR)
disp(' ')

% p[^̐l̒`
pendubot_para  %% M t@C̓ǂݍ

% det(MR) Ƀp[^̐l
det_MR_num = subs(det_MR, {'mu2', 'alp2', 'alp3', 'alp4', 'alp5'},{mu2, alp2, alp3, alp4, alp5});

% det(MR) = 0 ̉ theta1_e vZC{xŕ\
disp('***** det(MR) = 0 ̉ theta1_e [deg] *****')
double(solve(det_MR_num, theta1_e))*(180/pi)
disp(' ')


% ---------------------------------
disp('===========================================')
disp('mu2 = 0 ̂Ƃ ...')
disp(' ')

% Uq̔SC 0 (mu2 = 0) ̂Ƃ det(MR) ̌vZ
disp('***** det(MR) (mu2 = 0) *****')
det_MR_0 = subs(det_MR,'mu2',0)
disp(' ')

% det(MR) = 0 ̉ theta1_e vZC{xŕ\
disp('***** det(MR) = 0 (mu2 = 0) ̉ theta1_e [deg] *****')
double(solve(det_MR_0, theta1_e))*(180/pi)
disp(' ')
